User visible changes in the firmware version 4.5.00 since version 4.4.00.

                             Highlights.

1. New GREIS [SH] message: heading baseline covariance matrix

2. Fixed preliminary support for NMEA GGA messages for secondary
   antennas.

3. NMEA HDT: fixed format when data is not available: output null
   field instead of 0.

4. JPS [SI]: fixed GLONASS CDMA and L-band satellites being output as
   NAVSTAR satellites.

5. Changed /par/pwr/cell/level/off minimum from 6 to 0 volts

6. Fixed handling of filters bandwidth (/par/filt/band parameter) on
   startup for linux-based boards.

7. New Integrated Navigation System (INS) support (IMU+GNSS).

8. RTK: new parameter '/par/pos/pd/per/sol' to decimate solution update
   rate.

9. RTK: move all existing period parameters under /par/pos/pd/per. Old
   names are kept for backward compatibility.

                      More Detailed Description
                (refer to GREIS for even more details)

                             1. Messages.

1.1 [SH] Heading Baseline Covariance Matrix

struct HeadCov {26} {
  f4 xx;      // [m^2]
  f4 yy;      // [m^2]
  f4 zz;      // [m^2]
  f4 xy;      // [m^2]
  f4 xz;      // [m^2]
  f4 yz;      // [m^2]
  u1 solType; // Solution type
  u1 cs;      // Checksum
};

1.2 [AR] Rotation Angles

INS bit added to 'flags', and 'insErrors' field added to the message:

struct RotationAngles {33 or 35} {
  u4 time;       // Receiver time [ms]
  f4 p,r,h;      // Pitch ,roll , heading angles [deg]
  f4 sp,sr,sh;   // Pitch, roll, heading angles RMS [deg]
  u1 solType[3]; // Solution type for 3 base lines
  u1 flags;      // flags [bitfield]:
                 // #0: data validity
                 //     0 - no data available ('insErrors' is still valid)
                 //     1 - data are valid
                 // #1: solution source
                 //     0 - GNSS solution
                 //     1 - INS solution
                 // #2…#7: reserved
  // The 'insErrors' field only exists for "INS solution"
  u2 insErrors; // INS-specific error flags [bitfield]
  u1 cs;        // Checksum
};

                             2. Parameters.

2.1 Inertial Navigation System (INS) parameters

* INS Mode

Name:    /par/pos/ins/mode
Access:  rw
Type:    enumerated
Values:  off,ins,apc,poi
Default: off

off - INS mode is turned off

ins - INS mode is turned on, but none of generic positioning messages
    are affected.

apc - INS mode is turned on, and generic navigation messages will
    contain INS-augmented coordinates and velocities of the GNSS
    Antenna Phase Center (APC).

poi - INS mode is turned on, and generic navigation messages will
    contain INS-augmented coordinates and velocities of the Point Of
    Interest (POI).

Heading and orientation messages, as well as INS-specific messages,
will all have INS solution provided this parameter is not 'off'.

* INS  Status

Name:    /par/pos/ins/stat
Access:  r
Type:    enumerated
Values:  off,ok,fail
Default: off

off  - INS mode is off

ok   - INS is producing solution and there are no errors

fail - There are errors: check "/par/pos/ins/err" for details. INS
       might still produce solution depending on particular error(s).

* INS Error Flags

Name:    /par/pos/ins/err
Access:  r
Type:    list of enumerated
Values:  <see below>
Default: {}

Comma-separated list of raised errors, where each element is one of:

imu_meas - No data from IMU
sat_meas - No GNSS measurements
pos      - No GNSS position
vel      - Failure to compute GNSS velocity
ins_init - Not enough motion or no baseline fix for proper initialization
conv     - Solution not yet converged
gyro     - Bad gyroscope measurements
accl     - Bad accelerometer measurements
baseline - No baseline fix

Note that not all the errors are fatal, so this parameter could be
non-empty even when INS solution is being produced.

* INS Pole Length

Name:    /par/pos/ins/layout/pole
Access:  rw
Type:    float [meters]
Values:  [-100…100]
Default: 0

This is synonym for '/par/pole/height'. If non-zero, this parameter
takes precedence over '/par/pos/ins/layout/poi' parameter.

* INS Layout: IMU Offset

Name:     /par/pos/ins/layout/imu
Access:   rw
Type:     {float,float,float} [meters]
Values:   {[-100…100],[-100…100],[-100…100]}
Default:  <receiver dependent>

XYZ offset of IMU center in RBF.

The default value is preset and corresponds to particular receiver
housing, and is {0,0,0} for OEM and geodetic receivers.

* INS Layout: APC Offset

Name:     /par/pos/ins/layout/apc
Access:   rw
Type:     {float,float,float} [meters]
Values:   {[-100…100],[-100…100],[-100…100]}
Default:  <receiver dependent>

XYZ offset of antenna phase center (APC) in RBF.

The default value is preset depending on particular geodetic receiver
model, and is {0,0,0} for OEM and antenna-less receivers.

* INS Layout: POI Offset

Name:     /par/pos/ins/layout/poi
Access:   rw
Type:     {float,float,float} [meters]
Values:   {[-100…100],[-100…100],[-100…100]}
Default:  {0,0,0}

XYZ offset of point of interest (POI) in RBF. This is only active if
'/par/pos/ins/layout/pole' is zero, otherwise the POI will be the tip
of the pole.

* INS Layout: Baseline

Name:     /par/pos/ins/layout/bl
Access:   rw
Type:     {float,float,float} [meters]
Values:   {[-100…100],[-100…100],[-100…100]}
Default:  {0,0,0}

XYZ offset of phase center of second antenna with respect to phase
center of primary antenna, in RBF.

* INS GNSS Update Rate

Name:      /par/pos/ins/msint/gnss
Access:    rw
Type:      integer [milliseconds]
Values:    [20…1000]
Default:   100

* INS IMU Update Rate

Name:      /par/pos/ins/msint/imu
Access:    rw
Type:      integer [milliseconds]
Values:    [5…1000]
Default:   20

This is synonym for '/par/imu/dev/msint'

* INS Reset

Name:      /par/pos/ins/reset
Access:    rw
Type:      boolean
Values:    n,y
Default:   n

n - ignored

y - reset INS machinery, and set this back to 'n'

* INS Resulting Orientation Angles

Name:     /par/pos/ins/hpr
Access:   r
Type:     {float,float,float} [degrees]
Values:   {[0…360],[-90…90],[-180…180]}
Default:  {}

This parameter contains computed heading, pitch, and roll. Empty list
if no orientation is being computed.

2.2 New RTK parameters

* RTK Solution Period

Name:       /par/pos/pd/per/sol
Access:     rw
Type:       float [seconds]
Values:     [0…100]
Default:    0

Default 0 ensures that RTK is updated as fast as possible, according
to other parameters.

* RTK Update Interval of RTK Reference Station

/par/pos/pd/period renamed to /par/pos/pd/per/ref

Original name kept accessible for backward compatibility

* RTK Period of Ambiguities Estimation

/par/pos/pd/afperiod renamed to /par/pos/pd/per/af

Original name kept accessible for backward compatibility

* RTK Period of Base Measurements for Extrapolation

/par/pos/pd/experiod renamed to /par/pos/pd/per/ex

Original name kept accessible for backward compatibility

* RTK Period of Base Measurements for Extrapolation

/par/pos/pd/experiod renamed to /par/pos/pd/per/ex

Original name kept accessible for backward compatibility


                             3. Options.

<NO CHANGES>

                             4. Commands

<NO CHANGES>

                             5. Miscellaneous

<END>
